#include <assert.h>
#include <iostream>
#include "bitmap.h"

using namespace std; 


int ApiMain() {
   const float WindowWidth = 8.0;
   const float WindowHeight = 4.0;
   const float WindowX = 5.0;
   const float WindowY = 6.0;
   SimpleWindow BitMapWindow("Bitmap Window", WindowWidth,
    WindowHeight, Position(WindowX, WindowY));
   BitMapWindow.Open();
   assert(BitMapWindow.GetStatus() == WindowOpen);

   BitMap Picture(BitMapWindow);

   // Load the image
   Picture.Load("cardbk1.bmp");
   assert(Picture.GetStatus() == BitMapOkay);

   // Center it in the window

   // Get the coordinate of the center of the window
   Position WindowCenter = BitMapWindow.GetCenter();

   // Calculate position and set the bitmap's position
   Position UpperLeftCorner = WindowCenter +
   Position(-0.5 * Picture.GetWidth(), -0.5 * Picture.GetHeight());
   Picture.SetPosition(UpperLeftCorner);
   Picture.Draw();

   cout << "Type Ctrl-C to remove the display and exit" << endl;
   char c;
   cin >> c;

   BitMapWindow.Close();

   return 0;
};

